#ifndef _LUMA_MASTER_H
#define _LUMA_MASTER_H

#include <Arduino.h>
#include <esp_now.h>
#include "common/luma-stiks.h"


extern bool LUMASTIKS_READY;

#define LUMA_NODE_MAX_COUNT 16
//extern LUMA_NODE lumaStation[];

void LumaMaster_Task(void *parameters);

void Init_Luma_Master(void);

void Luma_Master_Data_Received(const uint8_t *mac, const uint8_t *data, int len);

void Luma_Master_Data_Sent(const uint8_t *mac_addr, esp_now_send_status_t status);

void Luma_Master_Broadcast(LUMA_PACKET packet);

#endif